public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: Do not run libselinux/validatetrans on RHEL 8 and older
@ 2026-09-11 13:18 Petr Lautrbach
0 siblings, 0 replies; only message in thread
From: Petr Lautrbach @ 2026-09-11 13:18 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : a989b582222e3e8eac715f89ef2136b3fc502e92
Author : Petr Lautrbach <plautrba@redhat.com>
Date : 2020-09-25T08:03:44+02:00
Stats : +7/-0 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/a989b582222e3e8eac715f89ef2136b3fc502e92?branch=pr775-checkpolicy-revdeps
Log:
Do not run libselinux/validatetrans on RHEL 8 and older
validatetrans utility was introduced in Fedora 32 and it's not available
in older releases
Given that relevancy metadata still doesn't work reliably, do the check
directly in the code.
---
diff --git a/libselinux/validatetrans/runtest.sh b/libselinux/validatetrans/runtest.sh
index fb58d69..2b201df 100755
--- a/libselinux/validatetrans/runtest.sh
+++ b/libselinux/validatetrans/runtest.sh
@@ -33,6 +33,13 @@
PACKAGE="libselinux"
rlJournalStart
+ # validatetrans utility is available since Fedora 32
+ if ! rlIsRHEL ">8" && ! rlIsFedora ">31"; then
+ rlLog "Not applicable to this OS version."
+ rlJournalEnd
+ exit 0
+ fi
+
rlPhaseStartSetup
rlRun "rlImport 'selinux-policy/common'"
rlAssertRpm ${PACKAGE}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-11 13:18 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:18 [tests/selinux] pr775-checkpolicy-revdeps: Do not run libselinux/validatetrans on RHEL 8 and older Petr Lautrbach
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox